%define         debug_package %{nil}

Name:		banshee-mirage
Version:	0.5.0
Release:	2%{?dist}
Summary:	An Automatic Playlist Generation Extension for Banshee
Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://hop.at/mirage/
Source0:	http://hop.at/mirage/download/mirage-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gettext-devel, glib2-devel, mono-devel, banshee-devel, banshee-musicbrainz-devel, fftw-devel, libsamplerate-devel, intltool, taglib-sharp-devel, mono-addins-devel, sqlite-devel, gstreamer-devel, gstreamer-plugins-base-devel, make, ndesk-dbus-glib-devel, ndesk-dbus-devel, gtk-sharp2-devel

# Bug 241850 - no Mono on pp64
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha

%description
An Automatic Playlist Generation Extension for Banshee

%prep
%setup -q -n mirage-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

# clean up
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

strip --strip-unneeded %{buildroot}/%{_libdir}/libmirageaudio.so

%find_lang mirage

%clean
%{__rm} -rf %{buildroot}

%files -f mirage.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/banshee-1/Extensions/Banshee.Mirage.*
%{_libdir}/banshee-1/Extensions/Mirage.*
%{_libdir}/libmirageaudio.so

%changelog
* Sun Jun 14 2009 Paul Lange <palango@gmx.de> - 0.5.0-2
- Disable ppc64 target

* Thu Mar 26 2009 David Nielsen <gnomeuser@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 David Nielsen <gnomeuser@gmail.com> 0.4.0-4
- strip unneeded symbols from libmirageaudio.so

* Wed Jan 28 2009 David Nielsen <gnomeuser@gmail.com> 0.4.0-3
- rename package to banshee-mirage

* Wed Jan 28 2009 David Nielsen <gnomeuser@gmail.com> 0.4.0-2
- Review cleanups

* Wed Jan 28 2009 David Nielsen <gnomeuser@gmail.com> 0.4.0-1
- Initial package
